#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Tue May 21 20:08:33 2019

@author: liaf-ankylosaurus-admin
"""

import logging
from logging.handlers import SocketHandler

log = logging.getLogger('Main logger')
gui_log = log.getChild("GUI logger")
worker_log = log.getChild("Worker logger")
acq_log = log.getChild("Acquisition logger")


log.setLevel(1)  # to send all records to cutelog
socket_handler = SocketHandler('127.0.0.1', 19996)  # default listening address
log.addHandler(socket_handler)
log.info('Hello world!')
gui_log.info('hello')
worker_log.info('hello')
acq_log.info('hello')

for i in range(5):
    gui_log.debug('%i is the number'% (i) )
    worker_log.info('{} sent to {}'.format(i, 'daq'))